#!/bin/sh
# hanoi.sh
# Created Tue Mar 14 2000 by Hans-Peter Stoerr haps@inf.tu-dresden.de
# $Id: hanoi.sh,v 1.1 2000/03/14 16:28:16 stoerr Exp $
# $Log: hanoi.sh,v $
# Revision 1.1  2000/03/14 16:28:16  stoerr
# .
#
# generates problems for towers of hanoi
# args: 1 2 3 4 5 for problem with 5 disks.

cat <<EOF
(define (problem hanoi-$#)
  (:domain towers-of-hanoi)
EOF
echo -n "  (:objects "
for disk in $*; do echo -n d$disk ""; done
cat <<EOF
- disk)
EOF
echo -n "  (:init "
for disk in $*; do echo -n "(on d$disk pega) "; done
for disk1 in $*; do
for disk2 in $*; do
if test $disk2 -lt $disk1; then echo -n "(larger d$disk1 d$disk2) "; fi
done
echo
echo -n "         "
done
echo ")"
echo -n "  (:goal (and"
for disk in $*; do echo -n " (on d$disk pegc)"; done
cat <<EOF
)))

EOF
