(define (domain Safe)
  (:types Hebel)
  (:constants H1 H2 - Hebel)
  (:predicates (Tuer-offen) (Hebel-oben ?h - Hebel) (Const ?h - Hebel))
  (:action Bewege-Hebel
           :parameters (?h - Hebel)
           :effect (and
                    (when (Hebel-oben ?h) (not (Hebel-oben ?h)))
                    (when (not (Hebel-oben ?h)) (Hebel-oben ?h)))
  )
  (:action Oeffne-Tuer
           :precondition (and (forall (?h - Hebel) (Hebel-oben ?h)) (Const H2))
           :effect (and (Tuer-offen) (Const H2))
  )
)

(define (problem Safe-Offen)
  (:domain Safe)
  (:init (Hebel-Oben H2) (Const H1))
  (:goal (Tuer-Offen))
)
