/* calSupply.h -*- c++ -*- Hans-Peter Stoerr Tue Feb 15 2000 */
// some additions to Cal-2.1

#ifndef _CALSUPPLY_H
#define _CALSUPPLY_H

extern "C" {
#include "cal.h"
}

// This returns array of

typedef enum {                  // the BDD does
  INDEP,                        // - not depend
  POSDEP,                       // - depend positively (i.e. BDD implies Var)
  NEGDEP,                       // - depend negatively (i.e. BDD implies -Var)
  BOTHDEP                       // - depend both ways
} CSupDependT;                  // on a variable.

typedef struct 
{
  Cal_Bdd       bddVar;         // the variable occurs like
  CSupDependT   dep;            // this in the BDD
} CSupVarCheckResT;

void
CSupBddVariableCheck(
  Cal_BddManager  bddManager, 
  Cal_Bdd  fUserBdd, 
  CSupVarCheckResT * varCheck
);
  
#endif
