// cleanuplog.cc -*- c++ -*- Hans-Peter Stoerr Wed Feb 10 1999

#include <assert.h>
#include <string>
#include <vector>
#include <iterator>
#include <algo.h>
#include <fstream.h>

struct line
{
  string s;
  operator const string() const { return s; }
};

istream& operator >>(istream& s, line& l) {
  char line[10000];
  s.getline(line,10000);
  l.s=line;
  return s;
}

const string  mark(const string& s)
{
}

int equalhead(const string& s1,const string& s2)
{
  if(0==s1.size()||0==s2.size()) return 0;
  string mark1=s1.substr(0,s1.find(":"));
  string mark2=s2.substr(0,s2.find(":"));
  return mark1==mark2;
}

int main(const int argc, char*const* argv)
{
  assert(2==argc);
  const char  *fname=argv[1];
  ifstream in(fname);
  assert(in);
  vector<string>        invec;
  copy(istream_iterator<line>(in), istream_iterator<line>(),
       back_inserter(invec));
  in.close();
  ofstream out( (fname+string(".cln")).data(),ios::out);
  vector<string>::const_iterator it=invec.begin();
  for(; invec.end()!=it; ++it) {
    vector<string>::const_iterator fit=it;
    if(invec.begin()!=it) {
      --fit;
      while(invec.begin()!=fit && !equalhead(*fit,*it)) --fit;
      if(!equalhead(*fit,*it) || *fit!=*it) out << *it << "\n";
    } else out << *it << "\n";
  }
}

