;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  SNLP blocks world with 2 operators
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (domain snlp-bw1)
    (:requirements :adl)
  
  (:predicates (clear ?x)
	       (on-table ?x)
	       (on ?x ?y))
  

    (:action stack
	       :parameters (?x ?y)
	       :precondition
	       (AND (clear ?x)
		    (clear ?y)
		    (on-table ?x))
	       :effect
	       (AND (on ?x ?y)
		    (NOT (on-table ?x))
		    (NOT (clear ?y))))
;  (:action unstack
;	     :parameters (?x ?y)
;	     :precondition
;	     (AND (clear ?x)
;		  (on ?x ?y))
;	     :effect
;	     (AND (on-table ?x)
;		  (NOT (on ?x ?y))
;		  (clear ?y)))

  (:action unstack
	     :parameters (?x ?y)
             :effect+ (on-table ?x) (clear ?y)
             :effect- (on ?x ?y))

)

(define (problem sussman1)
  (:domain snlp-bw1)
  (:objects a b c)
  (:init (on c a) (on-table b) (on-table a) (clear c) (clear b))
  (:goal (AND (on a b) (on b c)))
  (:length (:serial 3) (:parallel 3)))